## com.sun.jersey.api
Class JResponseAsResponse

    java.lang.Object
      javax.ws.rs.core.Response
          com.sun.jersey.core.spi.factory.ResponseImpl
              com.sun.jersey.api.JResponseAsResponse

    public final class JResponseAsResponse

extends ResponseImpl

An adaption of `JResponse` as a `Response`.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  `JResponse.toResponse()`, `JResponse.toResponse(java.lang.reflect.Type)`

Nested Class Summary

Nested classes/interfaces inherited from class javax.ws.rs.core.Response
`Response.ResponseBuilder, Response.Status, Response.StatusType`

Method Summary
`JResponse<?>` | `getJResponse()` Get the adapted `JResponse` instance.

Methods inherited from class com.sun.jersey.core.spi.factory.ResponseImpl
`getEntity, getEntityType, getMetadata, getStatus, getStatusType, toFamilyCode, toStatusType`

Methods inherited from class javax.ws.rs.core.Response
`created, fromResponse, noContent, notAcceptable, notModified, notModified, notModified, ok, ok, ok, ok, ok, seeOther, serverError, status, status, status, temporaryRedirect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getJResponse

    public JResponse<?> getJResponse()

  Get the adapted `JResponse` instance.

  Returns:
    the adapted JResponse instance.

Copyright © 2017 Oracle Corporation. All Rights Reserved.